************************************************************************
* Common Riflessi
*      nrefltot         No. riflessi totali
*      nrefl            No. riflessi osservati
*      nonoss           No. riflessi non osservati
*      nescl            No. riflessi esclusi (dall'utente, via lista 18)
*      cutoff           valore di chop
*      nstr		No. E's piu' forti	
*      nzro		No. E's piu' deboli	
*      ihmx(3)		H(max),K(max),L(max) 	
*      ihmn(3)		H(min),K(min),L(min) 	
*      iLent (sir)	
*      iVelox (sir)	
*      jpart  		flag per struttura parziale NOT USED
*      knw 		flag per struttura nota
*      bt  		b(medio) di Wilson	
*      sc   		scala di Wilson
*      s3s2
*      nvsfc		No. variabili affinate (last s.f.c.)	
*      icdd             Code dati differenza  (anom.disper.) 
*      deltahkl(3) 	Delta(h),Delta(k),Delta(l) for sorting  (sir)	
*      rflsq(9)		R%(1),R%(2),...,R%(9)	
*      rwflsq(9)	RW%(1),RW%(2),...,RW%(9)	
*      slsq(9)		S(1),S(2),...,S(9)	
*      shiftesd(2)	Shift/esd (max)	, Shift/esd (min)	
*      rhodiff(3)	RHO(diff.) max, min, rms
*      ifo2		flag per fo o fo**2 in input	
*      npseud  		codice per pseudo traslazioni
*      iyrand		ultimo seme per random
*      fosog		soglia sugli Fo
*      ksigma 		flag per sigma(Fo) in input
*      neutro		tipo di radiazione
*      lproj		tipo di proiezione
*			lproj=0 --> 3D data
*			lproj=1 --> 2D data	X section
*			lproj=2 --> 2D data	Y section
*			lproj=3 --> 2D data	Z section
*      kk3		coeff. per il packing dei riflessi = 2*exp(9) = 512
*      kk2		coeff. per il packing dei riflessi = kk3 * kk3
*      kk1		coeff. per il packing dei riflessi = kk2 * kk3
*      kk5		coeff. per il packing dei riflessi = kk3 / 2
*         		code = 1
*         		code*kk1 + (H+kk5)*kk2 + (K+kk5)*kk1 + (L+kk5)
*      kWasReduced      = 1 se e' stato precedentemente usato il comando %reduce
*                       = 0 in default
*************************************************************************
c
c  ivett(1) = h
c  ivett(2) = k
c  ivett(3) = l
c   vett(4) = e
c   vett(5) = fo
c   vett(6) = e'
c   vett(7) = e'p
c  ivett(8) = phi' (parz)
c   vett(9) = phi (publ)
c  ivett(10) = code
c   vett(11) = sigma(fo)
c   vett(12) = fc
c   vett(13) = phi (calc)
c   vett(14) = (sin(theta)/lambda)**2
c   vett(15) = weight
c   vett(16) = fo(-)
c   vett(17) = fc(-)
c   vett(18) = phi(-) (calc)
c--
***********************************************************************
*
      common /riflessi/ nrefltot,nrefl,nonoss,nescl,cutoff,nstr,nzro,
     *        ihmx(3),ihmn(3),ilent,ivelox,
     *        jpart,knw,bt,sc,s3s2,nvsfc,icdd,deltahkl(3),
     *        rflsq(9),rwflsq(9),slsq(9),shiftesd(2),rhodiff(3),ifo2,
     *        npseud,iyrandc,fosog,ksigma,neutro,lproj,kk3,
     *        kk2,kk1,kk5,kWasReduced,iyrand
c
      dimension stor6(69)
      equivalence(stor6(1),nrefltot)
*
c
c  l6    disc location for writing
c  l6a   saved disc location for writing
c  l6d   disc location for reading
c  m6    location of the core buffer at which the results are found
c  m6dk  location of the input (or output) disc buffer
c  n6dk  number of integer words in the disc buffer
c  md6d  number of real words per reflections on read
c  l6p   address in store of the preamble block
c  n6p   length of the preamble block
c  ld6p  disc location of the preamble block
c  md6f  disc location of the input format
c  lfl6  lenght of the allocatable vector = nrefl*md6d
c  sys06 =-100.0   new list6
c--
      common/lst06/l6,l6a,l6d,ld6p,m6,m6dk,n6dk,md6d,n6d,n6,n6p,
     2 l6p,md6f,lfl6,sys06,md6inp
*
      character*80 formatrif
      common /formatrifc/ formatrif
*
************************************************************************
